Bug 202475 - CVE-2006-3467 Xorg PCF handling Integer overflow
CVE-2006-3467 Xorg PCF handling Integer overflow
Product: Fedora
Classification: Fedora
Component: libXfont (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-14 14:31 EDT by Josh Bressers
Modified: 2014-06-18 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-15 13:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-14 14:31:55 EDT
+++ This bug was initially created as a clone of Bug #202469 +++

An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:

-- Additional comment from bressers@redhat.com on 2006-08-14 14:09 EST --
The upstream patch is attachment 134155 [details]
Comment 1 Josh Bressers 2006-08-14 14:37:09 EDT
We should also try to fix this in FC6
Comment 2 Søren Sandmann Pedersen 2006-08-14 14:58:39 EDT
Moving to libXfont component.
Comment 3 Søren Sandmann Pedersen 2006-08-14 18:56:31 EDT
New packages:

Comment 4 Fedora Update System 2006-08-14 19:27:30 EDT
libXfont-1.0.0-3 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.